> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enforster.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scans

> List scans for the authenticated user's organization.

**Required Scope:** `write:scan`
**Security:** Organization-level filtering

Args:
    org_id: Optional organization ID filter
    status: Optional status filter
    limit: Maximum number of scans to return
    offset: Number of scans to skip
    auth: Authentication context
    
Returns:
    List of scans
    
Raises:
    401: Unauthorized (invalid token/API key)
    403: Forbidden (insufficient scope or no org access)



## OpenAPI

````yaml api-reference/openapi.json get /api/scans
openapi: 3.1.0
info:
  title: Enforster AI API
  description: Enforster AI API for code analysis and security scanning.
  version: 1.8.0
servers: []
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /api/scans:
    get:
      summary: List Scans
      description: |-
        List scans for the authenticated user's organization.

        **Required Scope:** `write:scan`
        **Security:** Organization-level filtering

        Args:
            org_id: Optional organization ID filter
            status: Optional status filter
            limit: Maximum number of scans to return
            offset: Number of scans to skip
            auth: Authentication context
            
        Returns:
            List of scans
            
        Raises:
            401: Unauthorized (invalid token/API key)
            403: Forbidden (insufficient scope or no org access)
      operationId: list_scans_api_scans_get
      parameters:
        - name: org_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Org Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  additionalProperties: true
                  type: object
                title: Response List Scans Api Scans Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Use an API key in the X-API-Key header.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Clerk JWT bearer token.

````